%define		tarball		xf86-video-fbdev
%define		moduledir	%(pkg-config xorg-server --variable=moduledir )
%define		driverdir	%{moduledir}/drivers

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Xorg X11 fbdev video driver
Name:		xorg-x11-drv-fbdev
Version:	0.4.2
Release:	1
URL:		http://www.x.org
License:	MIT/X11
Group:		User Interface/X Hardware Support
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686

Source0:	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2

ExclusiveArch: 	%{ix86} x86_64 ia64

BuildRequires:	pkg-config
BuildRequires:	xorg-x11-server-sdk >= 1.1.0
BuildRequires:	libpciaccess-devel

Requires:	xorg-x11-server-Xorg >= 1.1.0

%description 
X.Org X11 fbdev video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/fbdev_drv.so
#%dir %{_mandir}/man4x
%{_mandir}/man4/fbdev.4*

%changelog
* Tue Aug 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.4.2-1
- Version Update
* Sat May 23 2009 Christian Wasem <wasem@ccux-linux.de> 0.4.0-2
- rebuilt against x.org 1.6.1.901
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.4.0-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.3.1-1
- Version update
* Mon Sep 11 2006 Christian Metzen <metzench@ccux-linux.de> 0.3.0-1
- Initial release
